package kr.edencrew.flutterkt_plugin

import io.flutter.plugin.common.MethodCall
import io.flutter.plugin.common.MethodChannel
import io.flutter.plugin.common.MethodChannel.MethodCallHandler
import io.flutter.plugin.common.MethodChannel.Result
import io.flutter.plugin.common.PluginRegistry.Registrar

class FlutterktPlugin: MethodCallHandler {
  companion object {
    @JvmStatic
    fun registerWith(registrar: Registrar) {
      val channel = MethodChannel(registrar.messenger(), "flutterkt_plugin")
      channel.setMethodCallHandler(FlutterktPlugin())
    }
  }

  override fun onMethodCall(call: MethodCall, result: Result) {
    if (call.method == "getPlatformVersion") {
      result.success("Android ${android.os.Build.VERSION.RELEASE}")
    } else if (call.method == "getPlatformVersion") {
        val context = registrar.view().context
        val title = call.argument<String>("title")
        val message = call.argument<String>("message")
        AlertDialog.Builder(context, R.style.Theme_AppCompat_Light_Dialog_Alert).apply {
          setTitle(title)
          setMessage(message)
          setPositiveButton("OK", DialogInterface.OnClickListener { _, _ ->
            result.success("Tap OK")
          })
          setNegativeButton("Cancel", DialogInterface.OnClickListener { _, _ ->
            result.success("Tap Cancel")
          })
          show()
        }
    } else {
      result.notImplemented()
    }
  }
}
