import Flutter
import UIKit

public class SwiftFlutterktPlugin: NSObject, FlutterPlugin {
  public static func register(with registrar: FlutterPluginRegistrar) {
    let channel = FlutterMethodChannel(name: "flutterkt_plugin", binaryMessenger: registrar.messenger())
    let instance = SwiftFlutterktPlugin()
    registrar.addMethodCallDelegate(instance, channel: channel)
  }

  public func handle(_ call: FlutterMethodCall, result: @escaping FlutterResult) {
    switch call.method {
    case "platformVersion":
            result("iOS " + UIDevice.current.systemVersion)

    case "showDialog":
            let arguments = call.arguments as! [String: Any]
            guard let title = arguments["title"] as? String,
                let message = arguments["message"] as? String else {
                    result(FlutterError.init(code: "ArgumentError", message: "Required argument does not exist.", details: nil));
                    return
            }
            let alert: UIAlertController = UIAlertController(title: title, message: message, preferredStyle:  UIAlertControllerStyle.alert)
            let controller : FlutterViewController = UIApplication.shared.keyWindow?.rootViewController as! FlutterViewController;
            let defaultAction: UIAlertAction = UIAlertAction(title: "OK", style: UIAlertActionStyle.default, handler:{
                (action: UIAlertAction!) -> Void in
                result("Tap OK")
            })
            let cancelAction: UIAlertAction = UIAlertAction(title: "Cancel", style: UIAlertActionStyle.cancel, handler:{
                (action: UIAlertAction!) -> Void in
                result("Tap Cancel")
            })
 
            alert.addAction(cancelAction)
            alert.addAction(defaultAction)
            controller.present(alert, animated: true, completion: nil)
    default:
          print("nothing called")  
    }
  }
}
